# editDealComment

Replace the body of your own deal comment (listDealComments id).

- Call: `POST https://server.goliathdata.com/api/v1/call` with `{ "operationId": "editDealComment", "variables": {...} }`
- Scope: `WRITE`
- Type: mutation
- Idempotency: honors `Idempotency-Key` (24 h)
- Rate-limited: no

## Variables

- `commentId`: `ID!` (required)
- `body`: `String!` (required)

## Response (data, an example)

```json
{
  "dealMutation": {
    "editDealComment": {
      "id": "<ID>",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "payload": "…"
    }
  }
}
```

## Example

```bash
curl https://server.goliathdata.com/api/v1/call \
  -H "Authorization: Bearer $GOLIATH_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{
    "operationId": "editDealComment",
    "variables": {
      "commentId": "<commentId>",
      "body": "<String>"
    }
  }'
```
